# Visitor Statistics plugin for Bludit CMS

This plugin is based on the original [Bludit CMS](https://www.bludit.com/) `Simple stats` plugin.

## Features
 - Logging visits per day
 - Logging unique visits per day
 - Logging visits per month
 - Logging unique visits per month
 - Logging without cookies
 - Visitors graph on the dashboard in administration
 - Visitors graph on the plugin page
 - View information about visitors (browser, platform, etc.)
 - Logging of visits by search bots (Googlebot, Bingbot, etc.)
 - Option to disable logging of monitoring services such as Uptimerobot, Site24x7, etc.
 - Option to disable logging of logged in users
 - Automatic notification of new version
 - And a lot of other useful functions and settings

## Plugin Visitor Statistics uses
 - [Chart.js](https://www.chartjs.org/) for graphs
 - [PHP User Agent Parser](https://github.com/donatj/PhpUserAgent) for find information about visitors

## Screenshots
![](https://raw.githubusercontent.com/Elixcz/visitor-statistics/main/screenshots/screenshot-1.png)
![](https://raw.githubusercontent.com/Elixcz/visitor-statistics/main/screenshots/screenshot-3.png)

## Installation
 - Upload the unzipped plugin to the `bl-plugins` folder
 - Go to administration and activate plugin **Visitor Statistics**

## Support
Bludit plugin **Visitor Statistics** is open source and free. Donate for coffee or just like that:

[BTC](bitcoin:bc1q03v5la7uvcwxr7z4qn03ex6n5edju6zv4n6ppt?message=VisitorStatistics): `bc1q03v5la7uvcwxr7z4qn03ex6n5edju6zv4n6ppt`

## License
**Visitor Statistics** is open source software licensed under the [MIT license](https://tldrlegal.com/license/mit-license).




